=== added directory 'stock_picking_validate_past'
=== added file 'stock_picking_validate_past/__init__.py'
--- stock_picking_validate_past/__init__.py	1970-01-01 00:00:00 +0000
+++ stock_picking_validate_past/__init__.py	2012-10-03 23:56:22 +0000
@@ -0,0 +1,26 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#
+#    Copyright (c) 2010 Vauxoo - http://www.vauxoo.com/
+#    All Rights Reserved.
+#    info Vauxoo (info@vauxoo.com)
+############################################################################
+#    Coded by: Luis Torres (luis_t@vauxoo.com)
+############################################################################
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+import stock

=== added file 'stock_picking_validate_past/__openerp__.py'
--- stock_picking_validate_past/__openerp__.py	1970-01-01 00:00:00 +0000
+++ stock_picking_validate_past/__openerp__.py	2012-10-03 23:56:22 +0000
@@ -0,0 +1,39 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#
+#    Copyright (c) 2010 Vauxoo - http://www.vauxoo.com/
+#    All Rights Reserved.
+#    info Vauxoo (info@vauxoo.com)
+############################################################################
+#    Coded by: Luis Torres (luis_t@vauxoo.com)
+############################################################################
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+{
+    'name': 'Stock Validate Past',
+    "version" : "1.1",
+    'author': 'Vauxoo',
+    'category' : "Localization/Mexico",
+    'depends': ['stock',],
+    'description': """
+This module to the validate a move, review that if is imported take date_planned the csv
+    """,
+    'update_xml':[
+        'stock_view.xml'],
+    'active':False,
+    'installable':True
+}

=== added file 'stock_picking_validate_past/stock.py'
--- stock_picking_validate_past/stock.py	1970-01-01 00:00:00 +0000
+++ stock_picking_validate_past/stock.py	2012-10-03 23:56:22 +0000
@@ -0,0 +1,51 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#
+#    Copyright (c) 2010 Vauxoo - http://www.vauxoo.com/
+#    All Rights Reserved.
+#    info Vauxoo (info@vauxoo.com)
+############################################################################
+#    Coded by: Luis Torres (luis_t@vauxoo.com)
+############################################################################
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+from osv import fields, osv
+from lxml import etree
+
+class stock_move(osv.osv):
+    _inherit= "stock.move"
+    
+    _columns={
+        'type_process_date':fields.selection([
+            ('current_date','Current Date'),
+            ('planned_date','Planned Date'),
+        ],'Type Process Date'),
+    }
+    
+    _defaults = {
+        'type_process_date': 'current_date',
+    }
+    
+    def action_confirm(self, cr, uid, ids, context=None):
+        res=super(stock_move,self).action_confirm(cr,uid,ids,context=context)
+        for id_move in ids:
+            move=self.browse(cr,uid,id_move)
+            type_pross_date=move.type_process_date
+            date_expect=move.date_expected
+            if type_pross_date=='planned_date':
+                self.write(cr, uid, ids, {'create_date': date_expect})
+        return res

=== added file 'stock_picking_validate_past/stock_view.xml'
--- stock_picking_validate_past/stock_view.xml	1970-01-01 00:00:00 +0000
+++ stock_picking_validate_past/stock_view.xml	2012-10-03 23:56:22 +0000
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+<!--
+    Stock move inc
+-->        
+        <record model="ir.ui.view" id="view_stock_move_inc_inherit_type_pross_date_form">
+            <field name="name">view.stock.move.inc.inherit.imported.type.pross.date.form</field>
+            <field name="model">stock.move</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="stock.view_move_form_reception_picking"/>
+            <field name="arch" type="xml">
+                <xpath expr="/form/group/field[@name='company_id']" position="after">
+                    <field name="type_process_date" colspan="2"/>
+                </xpath>
+            </field>
+        </record>
+        
+<!--
+        stock move out
+-->
+        <record model="ir.ui.view" id="view_stock_move_out_inherit_type_pross_date_form">
+            <field name="name">view.stock.move.out.inherit.type.pross.date.form</field>
+            <field name="model">stock.move</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="stock.view_move_form"/>
+            <field name="arch" type="xml">
+                <xpath expr="/form/group/field[@name='company_id']" position="after">
+                    <field name="type_process_date" colspan="2"/>
+                </xpath>
+            </field>
+        </record>
+    </data>
+</openerp>

